// file: form.cpp

#include "form.h"
#include "ui_form.h"
#include "giac.h"

static giac::context* contextptr;


Form::Form(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::Form)
{
    ui->setupUi(this);
    contextptr = new giac::context;    
}

Form::~Form()
{
    delete ui;
}

void Form::Evaluate()
{
  QString Expression = qobject_cast<QLineEdit *>(sender())->text();
  std::string S = Expression.toStdString(); // convert to standard string
  giac::gen g(S,contextptr); // parse it 
  g = g.eval(1,contextptr); // eval it
  S = g.print(contextptr); // print answer
  ui->m_Output->setText(QString::fromStdString(S));//and convert to qt
  ui->m_Input->clear();
}
/*
MainWindow::~MainWindow(){
  delete contextptr;
  delete Fen;
  void Form::onSlot1()
  {
    // TODO
  }
*/

